BeanBuilder.ConfigurableRuntimeBeanReference.WrappedPropertyValue (Grails 6.0.0)

Package: grails.spring

## [Java] Class BeanBuilder.ConfigurableRuntimeBeanReference.WrappedPropertyValue

- grails.spring.BeanBuilder.ConfigurableRuntimeBeanReference.WrappedPropertyValue

-     private class BeanBuilder.ConfigurableRuntimeBeanReference.WrappedPropertyValue
      extends groovy.lang.GroovyObjectSupport

  Wraps a BeanConfiguration property an ensures that any RuntimeReference additions to it are deferred for resolution later.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.lang.String` | `propertyName` |
    `private java.lang.Object` | `propertyValue` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `WrappedPropertyValue (java.lang.String propertyName, java.lang.Object propertyValue)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `add(java.lang.Object value)`
    `` | `public boolean` | `addAll(java.util.Collection values)`
    `` | `public java.lang.Object` | `getProperty(java.lang.String name)`
    `` | `public java.lang.Object` | `invokeMethod(java.lang.String name, java.lang.Object args)`
    `` | `public void` | `leftShift(java.lang.Object value)`
    `` | `public void` | `setProperty(java.lang.String name, java.lang.Object value)`
    `` | `private void` | `updateDeferredProperties(java.lang.Object value)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll(), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object)`

- - ### Field Detail

    - #### private java.lang.String propertyName

    - #### private java.lang.Object propertyValue

  - ### Constructor Detail

    - #### public WrappedPropertyValue(java.lang.String propertyName, java.lang.Object propertyValue)

  - ### Method Detail

    - #### @java.lang.SuppressWarnings("unused") public boolean add(java.lang.Object value)

    - #### @java.lang.SuppressWarnings("unused") public boolean addAll(@java.lang.SuppressWarnings("rawtypes") java.util.Collection values)

    - #### @java.lang.Override public java.lang.Object getProperty(java.lang.String name)

    - #### @java.lang.Override public java.lang.Object invokeMethod(java.lang.String name, java.lang.Object args)

    - #### @java.lang.SuppressWarnings("unused") public void leftShift(java.lang.Object value)

    - #### @java.lang.Override public void setProperty(java.lang.String name, java.lang.Object value)

    - #### private void updateDeferredProperties(java.lang.Object value)